Bug 1684270 - [hawkey] occasional segfault when interrupting (SIGINT) dnf process (may be caused by particular plugins in use, e.g. "leaves" ones in the past)
Summary: [hawkey] occasional segfault when interrupting (SIGINT) dnf process (may be c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libdnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 8.0
Assignee: amatej
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On: 1610456
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-28 20:41 UTC by Jan Pokorný [poki]
Modified: 2020-11-14 12:20 UTC (History)
6 users (show)

Fixed In Version: libdnf-0.33.0-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1610456
Environment:
Last Closed: 2019-11-05 22:21:13 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:30 UTC

Description Jan Pokorný [poki] 2019-02-28 20:41:06 UTC
Have hit the same:

+++ This bug was initially created as a clone of Bug #1610456 +++

with pre GA 8.0 as well, sadly it was in systemd-nspawn container so
I have very little info to provide:

- it was, IIRC, during "dnf update *.rpm"
  (was located in a directory I wanted to update packages from)
  and again, I realized that I want to cancel that transaction for now

- default configuration (all installed plugin presumably enabled):

# find /usr/lib*/python3.6/site-packages/dnf-plugins/* -print0 \
  | xargs -0 rpm -qf | sort -u
> python3-dnf-4.0.9.2-5.el8.noarch
> python3-dnf-plugins-core-4.0.2.2-3.el8.noarch

- on the host in the journal/dmesg:

> kernel: dnf[12953]: segfault at 8 ip 00007f954d937d51 sp 00007fffa628feb0 error 4 in libpython3.6m.so.1.0[7f954d833000+2bf000]
> kernel: Code: a0 03 00 00 41 c7 84 24 94 03 00 00 02 00 00 00 e9 c9 fb ff ff e8 2f 99 f5 ff e9 98 b9 f6 ff 48 83 c3 01 e9 74 fb ff ff 90 53 <48> 8b 47 08 48 89 fb 48 8b 80 d8 00 00 00 48 85 c0 74 28 ff d0 48

- packages in the container:

# rpm -q dnf rpm libdnf librepo libsolv
> dnf-4.0.9.2-5.el8.noarch
> rpm-4.14.2-9.el8.x86_64
> libdnf-0.22.5-4.el8.x86_64
> librepo-1.9.2-1.el8.x86_64
> libsolv-0.6.35-6.el8.x86_64

# rpm -qf /usr/lib64/libpython3.6m.so.1.0
> python3-libs-3.6.8-1.el8.x86_64

Comment 1 amatej 2019-03-29 14:25:54 UTC
created PR: https://github.com/rpm-software-management/libdnf/pull/694

Comment 6 errata-xmlrpc 2019-11-05 22:21:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.